global:
  ref: master
  project: live-transcoding
  gitRepoUrl: git@git.zooxlabs.com:zooxco/driving.git
  dockerRepoOverride: argus.docker.zooxlabs.com
  createNamespace: true
  runCI: false
  helmChartPath: infra/helm/live-transcoding
  istio:
    enabled: false

  jaeger:
    enabled: false
    esUrl: https://vpc-firaoqtbvvqxmuuiwdgzpgeldwao-bgykekya3z6idzpihxclaljmoa.us-west-2.es.amazonaws.com:443

  services: # see example here: https://git.zooxlabs.com/zooxco/driving/blob/master/infra/helm/zoox-base/values.yaml#L16
    live-transcoding:
      path: argus/live_transcoding_service
      containerPort: 5001
      extraPorts:
      - name: metrics
        containerPort: 5002
      service:
        type: ClusterIP
        port: 5001
      env:
        FLAGS_production:
          value: "false"
        FLAGS_enable_caching:
          value: "true"
        FLAGS_port:
          value: "5001"
        FLAGS_metrics_port:
          value: "5002"
      livenessProbe:
        exec:
          command:
          - echo
          - "TODO: add liveness probe"
      readinessProbe:
        exec:
          command:
          - echo
          - "TODO: add readiness probe"
      serviceMonitor:
        enabled: true
        port: metrics
        path: /metrics
      resources:
        requests:
          cpu: 8
          memory: 4Gi
          ephemeral-storage: "200Mi"
        limits:
          cpu: 8
          memory: 4Gi
          ephemeral-storage: "200Mi"
      hpa:
        minReplicas: 4
        maxReplicas: 16
        cpuThreshold: 50


zoox-base:
  enabled: true

ci-pipeline:
  enabled: false

